# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-12 01:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('data_gathering', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectIssue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectVersion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('self_url', models.URLField()),
                ('self_id', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.AlterField(
            model_name='project',
            name='vcs_type',
            field=models.CharField(choices=[(b'GIT', b'Git'), (b'SVN', b'Subversion')], max_length=10),
        ),
        migrations.AddField(
            model_name='projectversion',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data_gathering.Project'),
        ),
    ]
